//= require <dSS/GetTextHelper>
//= require <dSS/ZonePanel>
//= require <dSS/grid/DevicePanel>
//= require <dSS/MessageBus>
Ext.namespace('dSS');

dSS.ZoneBrowser = Ext.extend(Ext.Panel, {
    initComponent: function() {

        Ext.apply(this, {
            layout: 'border',
            items: [
            {
                xtype: 'dsszonepanel',
                ref: 'zonePanel',
                region: 'west',
                width: 225,
                // give east and west regions a width
                minSize: 175,
                maxSize: 400,
                split: true
            },
            {
                xtype: 'dssdevicepanel',
                ref: 'devicePanel',
                minSize: 400,
                region: 'center'
            }]
        });

        dSS.ZoneBrowser.superclass.initComponent.apply(this, arguments);
        this.on('afterrender', this.loadData, this);

        this.on('activate', function() {
            if (this.zonePanel) {
                this.zonePanel.zoneView.filterDevices();
            }
        },
        this);

    },
    allDevices: undefined,
    rescan: function() {
        this.el.mask(_("Rescanning") + "...");
        Ext.Ajax.request({
            url: '/json/apartment/rescan',
            disableCaching: true,
            method: "GET",
            scope: this,
            success: function(result, request) {
                this.el.unmask();
                this.loadData();
            },
            failure: function(result, request) {
                this.el.unmask();
                Ext.MessageBox.alert(_("Error"), _("Rescan failed"));
            }
        });
    },

    loadData: function() {
        dSS.data.Loader.load();
    }

});

Ext.reg('dsszonebrowser', dSS.ZoneBrowser);

