Ext.namespace("dSS.config");

dSS.config.features = {};
dSS.config.settings = {};
dSS.config.dSSTimeDiff = 0;

dSS.config.groups = {
    "VARIABLE"  : 0,
    "LIGHT"     : 1,
    "SHADOW"    : 2,
    "CLIMATE"   : 3,
    "AUDIO"     : 4,
    "VIDEO"     : 5,
    "SECURITY"  : 6,
    "ACCESS"    : 7,
    "JOKER"     : 8,
    "WHITE"     : 9,
    "DISPLAYS"  : 10
};

dSS.config.scenes = {
    "DEC"           : 11,
    "INC"           : 12,
    "MIN"           : 13,
    "MAX"           : 14,
    "STOP"          : 15,
    "T0_S0"         : 0,
    "T0_S1"         : 5,
    "T0_S2"         : 17,
    "T0_S3"         : 18,
    "T0_S4"         : 19,
    "PANIC"         : 65,
    "PANIC_SHORT"   : 1,
    "STANDBY"       : 67,
    "STANDBY_SHORT" : 3,
    "DEEP_OFF"      : 68,
    "DEEP_OFF_SHORT": 4,
    "SLEEPING"      : 69,
    "SLEEPING_SHORT": 5,
    "WAKE_UP"       : 70,
    "WAKE_UP_SHORT" : 6,
    "PRESENT"       : 71,
    "PRESENT_SHORT" : 7,
    "ABSENT"        : 72,
    "ABSENT_SHORT"  : 8,
    "SIG_BELL"      : 73,
    "SIG_BELL_SHORT": 9
};

dSS.config.sceneNames = {
    0   : _("Scene") + ' 0',
    5   : _("Scene") + ' 1',
    17  : _("Scene") + ' 2',
    18  : _("Scene") + ' 3',
    19  : _("Scene") + ' 4'

};
dSS.config.deviceTypes = {
    0           : "KM" ,
    1           : "TKM",
    2           : "SDM",
    3           : "KL" ,
    4           : "TUP",
    5           : "ZW"
};

dSS.config.deviceColors = {
    1           : "GE",
    2           : "GR",
    3           : "BL",
    4           : "TK",
    5           : "MG",
    6           : "RT",
    7           : "GN",
    8           : "SW"
};

dSS.config.deviceParams = {
    "OUTPUT_MODE_DISABLED"  : 0,
    "OUTPUT_MODE_SWITCH"    : 16,
    "OUTPUT_MODE_DIMMER"    : 22
};

// classes as defined in css
dSS.config.deviceIconCls = {
    1           : "functionLightIcon",
    2           : "functionShadowIcon",
    3           : "functionClimate",
    4           : "functionAudio",
    5           : "functionVideo",
    6           : "functionSecurity",
    7           : "functionAccess",
    8           : "functionJoker"
};

dSS.config.TransmissionQuality = {
    "UPSTREAM_MAX"      : 62,
    "DOWNSTREAM_MAX"    : 6
};
